# FoundationClasses
TKMath
math

# math_FunctionSample Class Reference

This class gives a default sample (constant difference
of parameter) for a function defined between
two bound A,B.
.

`#include <math_FunctionSample.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | math_FunctionSample (const Standard_Real A, const Standard_Real B, const Standard_Integer N)
virtual Standard_EXPORT void | Bounds (Standard_Real &A, Standard_Real &B) const
| Returns the bounds of parameters. .
Standard_EXPORT Standard_Integer | NbPoints () const
| Returns the number of sample points. .
virtual Standard_EXPORT Standard_Real | GetParameter (const Standard_Integer Index) const
| Returns the value of parameter of the point of range Index : A + ((Index-1)/(NbPoints-1))*B. An exception is raised if Index<=0 or Index>NbPoints. .

## Private Attributes

Standard_Real | a
Standard_Real | b
Standard_Integer | n

## Constructor & Destructor Documentation

Standard_EXPORT math_FunctionSample::math_FunctionSample | ( | const Standard_Real | A,
|  | const Standard_Real | B,
|  | const Standard_Integer | N
| ) |

## Member Function Documentation

virtual Standard_EXPORT void math_FunctionSample::Bounds | ( | Standard_Real & | A,
|  | Standard_Real & | B
| ) | const`[virtual]`

virtual Standard_EXPORT Standard_Real math_FunctionSample::GetParameter | ( | const Standard_Integer | Index | ) | const`[virtual]`

Standard_EXPORT Standard_Integer math_FunctionSample::NbPoints | ( |  | ) | const

void math_FunctionSample::operator delete | ( | void * | anAddress | ) | `[inline]`

void* math_FunctionSample::operator new | ( | size_t | size | ) | `[inline]`

void* math_FunctionSample::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

## Field Documentation

Standard_Real math_FunctionSample::a `[private]`

Standard_Real math_FunctionSample::b `[private]`

Standard_Integer math_FunctionSample::n `[private]`

The documentation for this class was generated from the following file:

- math_FunctionSample.hxx